import { requireAuth } from '@/middlewares/require-auth.middleware';
import { getUserProfileHandler } from '@/modules/user/handlers/get-user-profile.handler';
import type { AppEnv } from '@/types/hono';
import { Hono } from 'hono';

export const userRoutes = new Hono<AppEnv>();

userRoutes.use('*', requireAuth);
userRoutes.get('/profile', getUserProfileHandler);
